### Function

# Secret password_searchv

since: 0.19.0

#### Declaration [src]

    void
    secret_password_searchv (
      const SecretSchema* schema,
      GHashTable* attributes,
      SecretSearchFlags flags,
      GCancellable* cancellable,
      GAsyncReadyCallback callback,
      gpointer user_data
    )

#### Description [src]

Search for items in the secret service.

The `attributes` should be a set of key and value string pairs.

This method will return immediately and complete asynchronously.

Available since: 0.19.0

This function is renamed to `secret_password_search()` in language bindings.

#### Parameters

`schema`

  Type: `SecretSchema`

  The schema for attributes.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`attributes`

  Type: `GHashTable`

  The attribute keys and values.

  The called function takes ownership of the data, and is responsible for freeing it.

`flags`

  Type: `SecretSearchFlags`

  Search option flags.

`cancellable`

  Type: `GCancellable`

  Optional cancellation object.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`callback`

  Type: `GAsyncReadyCallback`

  Called when the operation completes.

  The argument can be `NULL`.

`user_data`

  Type: `gpointer`

  Data to be passed to the callback.

  The argument can be `NULL`.
  The data is owned by the caller of the function.